Bug 756574 - VUL-0: acrobat reader TA12-101B vulnerability
VUL-0: acrobat reader TA12-101B vulnerability
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P1 - Urgent : Major
: ---
Assigned To: Security Team bot
Security Team bot
maint:released:sle10-sp4:46722
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 09:42 UTC by Sebastian Krahmer
Modified: 2013-05-20 13:00 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Krahmer 2012-04-11 09:42:32 UTC
We received the following advisory:

-----------8<--------------------


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


                    National Cyber Awareness System

              Technical Cyber Security Alert TA12-101B


Adobe Reader and Acrobat Security Updates and Architectural Improvements

   Original release date: April 10, 2012
   Last revised: --
   Source: US-CERT


Systems Affected

  * Adobe Reader X (10.1.2) and earlier 10.x versions for Windows and Macintosh
  * Adobe Reader 9.5 and earlier 9.x versions for Windows, Macintosh, and UNIX
  * Adobe Acrobat X (10.1.2) and earlier 10.x versions for Windows and Macintosh
  * Adobe Acrobat 9.5 and earlier 9.x versions for Windows and Macintosh


Overview

   Adobe has released Security Bulletin APSB12-08, which describes
   multiple vulnerabilities affecting Adobe Reader and Acrobat. As
   part of this update, Adobe Reader and Acrobat 9.x will use the
   system-wide Flash Player browser plug-in instead of the Authplay
   component. In addition, Reader and Acrobat now disable the
   rendering of 3D content by default.


Description

   Adobe Security Bulletin APSB12-08 describes a number of
   vulnerabilities affecting Adobe Reader and Acrobat. These
   vulnerabilities affect Adobe Reader and Acrobat versions 9.x
   through 9.5, and Reader X and Acrobat X versions prior to 10.1.3.

   The Adobe ASSET blog provides additional details on new security
   architecture changes to Adobe Reader and Acrobat. Adobe Reader and
   Acrobat 9.5.1 will use the Adobe Flash Player plug-in version
   installed on the users system rather than the Authplay component
   that ships with Adobe Reader and Acrobat. This change helps limit
   the number of out-of-date, vulnerable Flash runtimes available to
   an attacker. Adobe Reader and Acrobat 9.5.1 also now disable
   rendering of 3D content by default because the 3D rendering
   components have a history of vulnerabilities.

   US-CERT recommends that Flash users upgrade to the latest version
   of Adobe Flash Player and turn on automatic updates.

   An attacker could exploit these vulnerabilities by convincing a
   user to open a specially crafted PDF file. This can happen
   automatically as the result of viewing a webpage.


Impact

   These vulnerabilities could allow a remote attacker to execute
   arbitrary code, write arbitrary files or folders to the file
   system, escalate local privileges, or cause a denial of service on
   an affected system as the result of a user opening a malicious PDF
   file.


Solution

   Update Reader

   Adobe has released updates to address this issue. Users are
   encouraged to read Adobe Security Bulletin APSB12-08 and update
   vulnerable versions of Adobe Reader and Acrobat.

   In addition to updating, please consider the following mitigations.

   Disable JavaScript in Adobe Reader and Acrobat

   Disabling JavaScript may prevent some exploits from resulting in
   code execution. You can disable Acrobat JavaScript using the
   Preferences menu (Edit -> Preferences -> JavaScript; uncheck Enable
   Acrobat JavaScript).

   Adobe provides a framework to blacklist specific JavaScipt APIs. If
   JavaScript must be enabled, this framework may be useful when
   specific APIs are known to be vulnerable or used in attacks.

   Prevent Internet Explorer from automatically opening PDF files

   The installer for Adobe Reader and Acrobat configures Internet
   Explorer to automatically open PDF files without any user
   interaction. This behavior can be reverted to a safer option that
   prompts the user by importing the following as a .REG file:

   Windows Registry Editor Version 5.00

   [HKEY_CLASSES_ROOT\AcroExch.Document.7]
   "EditFlags"=hex:00,00,00,00

   Disable the display of PDF files in the web browser

   Preventing PDF files from opening inside a web browser will
   partially mitigate this vulnerability. Applying this workaround may
   also mitigate future vulnerabilities.

   To prevent PDF files from automatically being opened in a web
   browser, do the following:


   1. Open Adobe Acrobat Reader.
   2. Open the Edit menu.
   3. Choose the Preferences option.
   4. Choose the Internet section.
   5. Uncheck the "Display PDF in browser" checkbox.

   Do not access PDF files from untrusted sources

   Do not open unfamiliar or unexpected PDF files, particularly those
   hosted on websites or delivered as email attachments. Please see
   Cyber Security Tip ST04-010.


References

 * Security update available for Adobe Reader and Acrobat -
   <https://www.adobe.com/support/security/bulletins/apsb11-30.html>

 * Adobe Reader and Acrobat JavaScript Blacklist Framework -
   <http://kb2.adobe.com/cps/504/cpsid_50431.html>

 * Background on Security Bulletin APSB12-08 -
   <http://blogs.adobe.com/asset/2012/04/background-on-security-bulletin-apsb12-08.html>

 * Adobe Flash Player - <http://get.adobe.com/flashplayer/>

 * Adobe Flash vulnerability affects Flash Player and other Adobe
   products -
   <http://www.kb.cert.org/vuls/id/259425>

 * Vulnerability Notes with advice to disable 3D rendering -
   <http://www.kb.cert.org/vuls/bypublished?searchview&amp;query=rt3d.dll>


Revision History

  April 10, 2012: Initial release

 ____________________________________________________________________

   Feedback can be directed to US-CERT Technical Staff. Please send
   email to <cert@cert.org> with "TA12-101B Feedback VU#124663" in
   the subject.
 ____________________________________________________________________

   Produced by US-CERT, a government organization.
 ____________________________________________________________________

This product is provided subject to the Notification as indicated here:
http://www.us-cert.gov/legal.html#notify

This document can also be found at
http://www.us-cert.gov/cas/techalerts/TA12-101B.html


For instructions on subscribing to or unsubscribing from this
mailing list, visit http://www.us-cert.gov/cas/signup.html
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBT4St0z/GkGVXE7GMAQK56gf+N4gfsTH8ssv6GzNqliZtpkgx5MI/Vo71
bx/DERpK2AtQaNk3genyZ1vShMjfKUk7GmVQCeDvcTxhc+yNSSi3hSGyX7FQbl9E
6p9mMLRD9OwJ63xq3fGmydNsgQnUTsjjRxkxC1DdojtlJL3HRsYYBXxguKQaPI1p
UiPoMDu5W7LJ/9f+zrMbc4Hf15366YY7XGMmFL68OpwbxOT3aRrfLC/v6FErqHli
UUg79tEm8FpemBrIzusqePviNYkci2M3K5fByp9opGrttPhTZAL8ddYJKfCSm+Xg
lFs5dAwD0SCI3SQxG5B8RhGgLLCz87O+ifE1Q2UjFAvB6XWQifYDwA==
=5dGp
-----END PGP SIGNATURE-----
Comment 1 Swamp Workflow Management 2012-04-11 09:44:27 UTC
The SWAMPID for this issue is 46644.
This issue was rated as moderate.
Please submit fixed packages until 2012-04-25.
When done, please reassign the bug to security-team@suse.de.
Patchinfo will be handled by security team.
Comment 2 Sebastian Krahmer 2012-04-11 09:51:51 UTC
Apparently CVE-2012-0774, CVE-2012-0775, CVE-2012-0777
was assigned (https://rhn.redhat.com/errata/RHSA-2012-0469.html)
Comment 3 Swamp Workflow Management 2012-04-11 22:00:09 UTC
bugbot adjusting priority
Comment 8 Bin Li 2012-04-13 09:40:54 UTC
Done for openSUSE series.

created request id Request: #113390

  maintenance_incident: home:BinLi:branches:openSUSE:12.1:Update/acroread -> openSUSE:Maintenance (release in openSUSE:12.1:Update)


Message:
- Update to 9.5.1 for bnc#756574(swampid#46644).
  CVE-2012-0774, CVE-2012-0775, CVE-2012-0777

State:   new        2012-04-13T11:38:52 BinLi

created request id Request: #113391

  maintenance_incident: home:BinLi:branches:openSUSE:11.4:Update/acroread -> openSUSE:Maintenance (release in openSUSE:11.4:Update)

Message:
- Update to 9.5.1 for bnc#756574(swampid#46644).
  CVE-2012-0774, CVE-2012-0775, CVE-2012-0777

State:   new        2012-04-13T11:39:48 BinLi


Request #113385:

  submit:   home:BinLi:branches:devel:openSUSE:Factory/acroread(r2)(cleanup) -> devel:openSUSE:Factory/acroread


Message:
    upgrade to 9.5.1
Comment 9 Bin Li 2012-04-13 09:42:02 UTC
Reassign to security team.
Comment 10 Swamp Workflow Management 2012-04-16 15:08:37 UTC
openSUSE-SU-2012:0512-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 756574
CVE References: CVE-2012-0774,CVE-2012-0775,CVE-2012-0777
Sources used:
Comment 11 Swamp Workflow Management 2012-04-18 13:48:38 UTC
Update released for: acroread, acroread-cmaps, acroread-debuginfo, acroread-fonts-ja, acroread-fonts-ko, acroread-fonts-zh_CN, acroread-fonts-zh_TW
Products:
SLE-DESKTOP 11-SP1 (i386, x86_64)
SLE-DESKTOP 11-SP1-FOR-SP2 (i386, x86_64)
Comment 12 Swamp Workflow Management 2012-04-18 13:55:37 UTC
Update released for: acroread, acroread-cmaps, acroread-debuginfo, acroread-fonts-ja, acroread-fonts-ko, acroread-fonts-zh_CN, acroread-fonts-zh_TW
Products:
SLE-DESKTOP 10-SP4 (i386, x86_64)
Comment 13 Sebastian Krahmer 2012-04-18 14:39:18 UTC
done
Comment 14 Bernhard Wiedemann 2013-05-20 05:00:17 UTC
This is an autogenerated message for OBS integration:
This bug (756574) was mentioned in
https://build.opensuse.org/request/show/176111 Evergreen:11.2 / acroread
Comment 15 Bernhard Wiedemann 2013-05-20 13:00:13 UTC
This is an autogenerated message for OBS integration:
This bug (756574) was mentioned in
https://build.opensuse.org/request/show/176146 Evergreen:11.2 / acroread